---
title: Get recommended tests for a DEM journey
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > DEM
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get recommended tests for a DEM journey{% #get-recommended-tests-for-a-dem-journey %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                         |
| ----------------- | ------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dem/journeys/{journey_id}/recommended-tests      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dem/journeys/{journey_id}/recommended-tests      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dem/journeys/{journey_id}/recommended-tests  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dem/journeys/{journey_id}/recommended-tests |

### Overview

Retrieve AI-recommended synthetic tests for a DEM journey. Returns an empty list when no recommendation is available. This endpoint requires the `synthetics_read` permission.

### Arguments

#### Path Parameters

| Name                         | Type   | Description                           |
| ---------------------------- | ------ | ------------------------------------- |
| journey_id [*required*] | string | The unique identifier of the journey. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing recommended synthetic tests for a DEM journey.

| Parent field | Field                        | Type      | Description                                                                                    |
| ------------ | ---------------------------- | --------- | ---------------------------------------------------------------------------------------------- |
|              | data [*required*]       | [object]  | Recommended synthetic tests for a DEM journey.                                                 |
| data         | attributes [*required*] | object    | Attributes of an AI-recommended synthetic test for a DEM journey.                              |
| attributes   | config [*required*]     | object    | The browser test configuration that can be used to create the recommended test.                |
| attributes   | created_at [*required*] | date-time | The time when the recommendation was generated.                                                |
| attributes   | name [*required*]       | string    | The display name of the recommended test.                                                      |
| attributes   | result_id                    | string    | The identifier of the validating sample run, when available.                                   |
| attributes   | session_id                   | string    | The RUM session identifier for the validating sample run, when available.                      |
| attributes   | source [*required*]     | string    | The pipeline that produced the recommendation.                                                 |
| attributes   | type [*required*]       | string    | The type of synthetic test.                                                                    |
| attributes   | variant_id                   | string    | The variant associated with the recommendation, when applicable.                               |
| data         | id [*required*]         | string    | The identifier of the journey associated with the recommendation.                              |
| data         | type [*required*]       | enum      | The type identifier for a recommended synthetic test. Allowed enum values: `recommended_tests` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "config": {
          "name": "Checkout journey",
          "type": "browser"
        },
        "created_at": "2026-08-31T16:00:00Z",
        "name": "Checkout journey",
        "result_id": "result-abc123",
        "session_id": "session-abc123",
        "source": "gbt",
        "type": "browser",
        "variant_id": "variant-001"
      },
      "id": "journey-abc123",
      "type": "recommended_tests"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export journey_id="journey-abc123" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/dem/journeys/${journey_id}/recommended-tests" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
